### Method

# Gtk ColorDialogButton set_dialog

since: 4.10

#### Declaration [src]

    void
    gtk_color_dialog_button_set_dialog (
      GtkColorDialogButton* self,
      GtkColorDialog* dialog
    )

#### Description [src]

Sets a `GtkColorDialog` object to use for creating the color chooser dialog that is presented when the user clicks the button.

Available since: 4.10

Sets property | `Gtk.ColorDialogButton:dialog`

#### Parameters

`dialog`

  Type: `GtkColorDialog`

  The new `GtkColorDialog`

  The data is owned by the caller of the method.